Bug 180882

Summary: [MAINTAINER-UPDATE][PATCH] please update math/openblas to 0.2.7
Product: Ports & Packages Reporter: Eijiro Shibusawa <phd_kimberlite>
Component: Individual Port(s)Assignee: motoyuki <motoyuki>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
file.diff none

Description Eijiro Shibusawa 2013-07-27 05:00:00 UTC
Attached patch includes following modifications:
- Update to 0.2.7
- MASTER_SITE is modified 
 
NOTE:
- This port was tested with portlint 2.14.3 and tinderbox.
- The modification for fetching openblas and lapack distfiles
from GitHub and Netlib respectively, may need to be revised.
***
Because the port was successfully built on my tinderbox,
but redports fails to build it.
***

Fix: Patch attached with submission follows:
Comment 1 motoyuki freebsd_committer 2013-07-30 14:38:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->motoyuki

I'll take it.
Comment 2 motoyuki freebsd_committer 2013-07-30 15:34:06 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 3 dfilter service freebsd_committer 2013-07-30 15:34:14 UTC
Author: motoyuki
Date: Tue Jul 30 14:33:59 2013
New Revision: 323969
URL: http://svnweb.freebsd.org/changeset/ports/323969

Log:
  - Update to 0.2.7.
  
  PR:		ports/180882
  Submitted by:	Eijiro Shibusawa <phd_kimberlite@yahoo.co.jp> (maintainer)

Modified:
  head/math/openblas/Makefile
  head/math/openblas/distinfo
  head/math/openblas/files/patch-Makefile
  head/math/openblas/files/patch-Makefile.system
  head/math/openblas/files/patch-exports+gensymbol

Modified: head/math/openblas/Makefile
==============================================================================
--- head/math/openblas/Makefile	Tue Jul 30 13:50:28 2013	(r323968)
+++ head/math/openblas/Makefile	Tue Jul 30 14:33:59 2013	(r323969)
@@ -2,13 +2,12 @@
 # $FreeBSD$
 
 PORTNAME=	openblas
-PORTVERSION=	0.2.6
+PORTVERSION=	0.2.7
 CATEGORIES=	math
-MASTER_SITES=	https://github.com/${GH_USER}/${GH_PORTNAME}/tarball/${GH_VERSION}/ \
-		NL:lapack,lapack_tmg
-MASTER_SITE_SUBDIR=	lapack/:lapack lapack/timing/:lapack_tmg
-DISTFILES=	${GH_USER}-${GH_PORTNAME}-${GH_VERSION}-0-g${GH_REVISION}${EXTRACT_SUFX} \
-		lapack-${LAPACKVER}.tgz:lapack \
+MASTER_SITES=	https://codeload.github.com/${GH_ACCOUNT}/${GH_PROJECT}/legacy.tar.gz/${GH_TAGNAME}?dummy=/:${PORTNAME} \
+		NL:lapack_tmg
+MASTER_SITE_SUBDIR=	lapack/timing/:lapack_tmg
+DISTFILES=	${PORTNAME}-${PORTVERSION}${EXTRACT_SUFX}:${PORTNAME} \
 		large.tgz:lapack_tmg timing.tgz:lapack_tmg
 
 MAINTAINER=	phd_kimberlite@yahoo.co.jp
@@ -18,13 +17,12 @@ LICENSE=	BSD
 LICENSE_FILE=	${WRKSRC}/LICENSE
 
 DIST_SUBDIR=	openblas
-FETCH_ARGS=	-pRr
-GH_USER=	xianyi
-GH_PORTNAME=	OpenBLAS
-GH_REVISION=	54e7b37
-GH_VERSION=	v${PORTVERSION}
-LAPACKVER=	3.4.2
-LAPACK_SRCFILE=	lapack-${LAPACKVER}.tgz
+FETCH_ARGS=	-Fpr
+GH_ACCOUNT=	xianyi
+GH_PROJECT=	OpenBLAS
+#GH_TAGNAME=	v0.2.7
+GH_TAGNAME=	${GH_COMMIT}
+GH_COMMIT=	f26b7a0
 LARGE_FILE=	large.tgz
 TIMING_FILE=	timing.tgz
 
@@ -39,7 +37,7 @@ OPENBLAS_FILES=	${OPENBLAS_LIBS:S|$|.so|
 PLIST_FILES=	${OPENBLAS_FILES:S|^|lib/|}
 
 MAKE_JOBS_SAFE=	yes
-WRKSRC=		${WRKDIR}/${GH_USER}-${GH_PORTNAME}-87b4d0c
+WRKSRC=		${WRKDIR}/${GH_ACCOUNT}-${GH_PROJECT}-${GH_TAGNAME}
 
 OPTIONS_DEFINE=		DYNAMIC_ARCH INTERFACE64 OPENMP AVX
 
@@ -92,8 +90,8 @@ BUILDFLAGS+=	NO_AVX=1
 .endif
 
 post-extract:
-	cd ${DISTDIR}/${DIST_SUBDIR} ; \
-	${CP} ${LAPACK_SRCFILE} ${LARGE_FILE} ${TIMING_FILE} ${WRKSRC}
+#	cd ${DISTDIR}/${DIST_SUBDIR} ; \
+#	${CP} ${LAPACK_SRCFILE} ${LARGE_FILE} ${TIMING_FILE} ${WRKSRC}
 	${MKDIR} ${WRKDIR}/lib
 
 post-patch:
@@ -103,10 +101,6 @@ post-patch:
 		${WRKSRC}/Makefile
 	${REINPLACE_CMD} -e "s+%%FC%%+${FC}+" -e "s+%%CC%%+${CC}+" \
 		${WRKSRC}/Makefile.rule
-	${REINPLACE_CMD} -e "s+%%LAPACKVER%%+${LAPACKVER}+g" \
-		${WRKSRC}/Makefile
-	${REINPLACE_CMD} -e "s+%%LAPACKVER%%+${LAPACKVER}+g" \
-		${WRKSRC}/exports/gensymbol
 	${REINPLACE_CMD} -e "s+(ARCH)+(ARCH_)+" \
 		${WRKSRC}/Makefile.rule \
 		${WRKSRC}/Makefile.tail \
@@ -117,6 +111,11 @@ post-patch:
 		${WRKSRC}/kernel/Makefile \
 		${WRKSRC}/kernel/Makefile.L3 \
 		${WRKSRC}/lapack/laswp/Makefile \
+		${WRKSRC}/lapack-netlib/SRC/Makefile \
+		${WRKSRC}/lapack-netlib/SRC/VARIANTS/Makefile \
+		${WRKSRC}/lapack-netlib/TESTING/MATGEN/Makefile \
+		${WRKSRC}/lapack-netlib/lapacke/src/Makefile \
+		${WRKSRC}/lapack-netlib/lapacke/utils/Makefile \
 		${WRKSRC}/reference/Makefile
 	${REINPLACE_CMD} -e "s+(ARCH)+(ARCH_)+" \
 	-e 's+%%LOCALBASE%%+${LOCALBASE}+' \
@@ -125,7 +124,6 @@ post-patch:
 	-e 's+%%REINPLACE_CMD%%+${REINPLACE_CMD}+' \
 	-e 's+%%_GCC_BUILD_DEPENDS%%+${_GCC_BUILD_DEPENDS}+' \
 	-e 's+$$(CROSS_SUFFIX)+${LOCALBASE}/bin/+' \
-	-e "s+%%LAPACKVER%%+${LAPACKVER}+g" \
 		${WRKSRC}/Makefile.system
 .if ${PORT_OPTIONS:MOPENMP}
 	${REINPLACE_CMD} -e "s+OPENBLAS_NUM_THREADS+OMP_NUM_THREADS+g" \

Modified: head/math/openblas/distinfo
==============================================================================
--- head/math/openblas/distinfo	Tue Jul 30 13:50:28 2013	(r323968)
+++ head/math/openblas/distinfo	Tue Jul 30 14:33:59 2013	(r323969)
@@ -1,7 +1,5 @@
-SHA256 (openblas/xianyi-OpenBLAS-v0.2.6-0-g54e7b37.tar.gz) = f14fed709343a40d32bdfe2c1a0b2e874ef7514661930a20afe8e7e2436b4440
-SIZE (openblas/xianyi-OpenBLAS-v0.2.6-0-g54e7b37.tar.gz) = 3259286
-SHA256 (openblas/lapack-3.4.2.tgz) = 60a65daaf16ec315034675942618a2230521ea7adf85eea788ee54841072faf0
-SIZE (openblas/lapack-3.4.2.tgz) = 6168281
+SHA256 (openblas/openblas-0.2.7.tar.gz) = cfe5ea93098318dd2c09d865b2f849187c82d0880b9c75970aa5a80ef49fd06a
+SIZE (openblas/openblas-0.2.7.tar.gz) = 9469551
 SHA256 (openblas/large.tgz) = f328d88b7fa97722f271d7d0cfea1c220e0f8e5ed5ff01d8ef1eb51d6f4243a1
 SIZE (openblas/large.tgz) = 2595
 SHA256 (openblas/timing.tgz) = 999c65f8ea8bd4eac7f1c7f3463d4946917afd20a997807300fe35d70122f3af

Modified: head/math/openblas/files/patch-Makefile
==============================================================================
--- head/math/openblas/files/patch-Makefile	Tue Jul 30 13:50:28 2013	(r323968)
+++ head/math/openblas/files/patch-Makefile	Tue Jul 30 14:33:59 2013	(r323969)
@@ -1,77 +1,11 @@
---- Makefile.orig	2012-11-27 08:24:53.000000000 +0900
-+++ Makefile	2012-11-28 01:13:31.000000000 +0900
-@@ -203,7 +203,7 @@
- netlib : 
- 
- else
--netlib : lapack-3.4.2 patch.for_lapack-3.4.2 $(NETLIB_LAPACK_DIR)/make.inc
-+netlib : lapack-%%LAPACKVER%% patch.for_lapack-%%LAPACKVER%% $(NETLIB_LAPACK_DIR)/make.inc
- ifndef NOFORTRAN
- 	-@$(MAKE) -C $(NETLIB_LAPACK_DIR) lapacklib
- endif
-@@ -212,7 +212,7 @@
- endif
- endif
- 
--prof_lapack : lapack-3.4.2 $(NETLIB_LAPACK_DIR)/make.inc
-+prof_lapack : lapack-%%LAPACKVER%% $(NETLIB_LAPACK_DIR)/make.inc
- 	-@$(MAKE) -C $(NETLIB_LAPACK_DIR) lapack_prof
- 
- $(NETLIB_LAPACK_DIR)/make.inc :
-@@ -229,7 +229,7 @@
- else
- 	-@echo "CFLAGS      = $(CFLAGS)" >> $(NETLIB_LAPACK_DIR)/make.inc
- endif
+--- Makefile.orig	2013-07-27 01:21:05.000000000 +0900
++++ Makefile	2013-07-27 01:22:18.000000000 +0900
+@@ -228,7 +228,7 @@
+ 	-@echo "LOADOPTS    = $(FFLAGS) $(EXTRALIB)" >> $(NETLIB_LAPACK_DIR)/make.inc
+ 	-@echo "CC          = $(CC)" >> $(NETLIB_LAPACK_DIR)/make.inc
+ 	-@echo "override CFLAGS      = $(LAPACK_CFLAGS)" >> $(NETLIB_LAPACK_DIR)/make.inc
 -	-@echo "ARCH        = $(AR)" >> $(NETLIB_LAPACK_DIR)/make.inc
 +	-@echo "ARCH_       = $(AR)" >> $(NETLIB_LAPACK_DIR)/make.inc
  	-@echo "ARCHFLAGS   = -ru" >> $(NETLIB_LAPACK_DIR)/make.inc
  	-@echo "RANLIB      = $(RANLIB)" >> $(NETLIB_LAPACK_DIR)/make.inc
  	-@echo "LAPACKLIB   = ../$(LIBNAME)" >> $(NETLIB_LAPACK_DIR)/make.inc
-@@ -241,24 +241,19 @@
- 	-@cat  make.inc >> $(NETLIB_LAPACK_DIR)/make.inc
- endif
- 
--lapack-3.4.2 : lapack-3.4.2.tgz
-+lapack-%%LAPACKVER%% : lapack-%%LAPACKVER%%.tgz
- ifndef NOFORTRAN
- ifndef NO_LAPACK
--	@if test `$(MD5SUM) lapack-3.4.2.tgz | $(AWK) '{print $$1}'` = 61bf1a8a4469d4bdb7604f5897179478; then \
--		echo $(TAR) zxf $< ;\
--		$(TAR) zxf $< && (cd $(NETLIB_LAPACK_DIR); $(PATCH) -p1 < ../patch.for_lapack-3.4.2) ;\
--		rm -f $(NETLIB_LAPACK_DIR)/lapacke/make.inc ;\
--	else \
--		rm -rf $(NETLIB_LAPACK_DIR) ;\
--		echo "	Cannot download lapack-3.4.2.tgz or the MD5 check sum is wrong (Please use orignal)."; \
--		exit 1; \
--	fi
-+	echo $(TAR) zxf $< ;\
-+	$(TAR) zxf $< && (cd $(NETLIB_LAPACK_DIR); $(PATCH) -p1 < ../patch.for_lapack-%%LAPACKVER%%)
-+	%%FIND%% $(NETLIB_LAPACK_DIR) -name "Makefile*" -type f|\
-+		%%XARGS%% %%REINPLACE_CMD%% -e 's;$$(ARCH);$$(ARCH_);g'
- endif
- endif
- 
--LAPACK_URL=http://www.netlib.org/lapack/lapack-3.4.2.tgz
-+LAPACK_URL=http://www.netlib.org/lapack/lapack-%%LAPACKVER%%.tgz
- 
--lapack-3.4.2.tgz :
-+lapack-%%LAPACKVER%%.tgz :
- ifndef NOFORTRAN
- #http://stackoverflow.com/questions/7656425/makefile-ifeq-logical-or
- ifeq ($(OSNAME), $(filter $(OSNAME),Darwin NetBSD))
-@@ -282,7 +277,7 @@
- 	-wget http://www.netlib.org/lapack/timing/timing.tgz
- endif
- 
--lapack-timing : lapack-3.4.2 large.tgz timing.tgz
-+lapack-timing : lapack-%%LAPACKVER%% large.tgz timing.tgz
- ifndef NOFORTRAN
- 	(cd $(NETLIB_LAPACK_DIR); $(TAR) zxf ../timing.tgz TIMING)
- 	(cd $(NETLIB_LAPACK_DIR)/TIMING; $(TAR) zxf ../../large.tgz )
-@@ -320,4 +315,4 @@
- 	rm -rf $(NETLIB_LAPACK_DIR) ;\
- 	fi
- 	@rm -f *.grd Makefile.conf_last config_last.h
--	@echo Done.
-\ No newline at end of file
-+	@echo Done.

Modified: head/math/openblas/files/patch-Makefile.system
==============================================================================
--- head/math/openblas/files/patch-Makefile.system	Tue Jul 30 13:50:28 2013	(r323968)
+++ head/math/openblas/files/patch-Makefile.system	Tue Jul 30 14:33:59 2013	(r323969)
@@ -1,15 +1,6 @@
---- Makefile.system.orig	2012-10-09 21:08:28.000000000 +0900
-+++ Makefile.system	2012-10-12 21:33:31.000000000 +0900
-@@ -10,7 +10,7 @@
- endif
- 
- ifndef NETLIB_LAPACK_DIR
--NETLIB_LAPACK_DIR = $(TOPDIR)/lapack-3.4.2
-+NETLIB_LAPACK_DIR = $(TOPDIR)/lapack-%%LAPACKVER%%
- endif
- 
- # Default C compiler
-@@ -125,6 +125,9 @@
+--- Makefile.system.orig	2013-07-26 02:34:45.000000000 +0900
++++ Makefile.system	2013-07-27 01:22:51.000000000 +0900
+@@ -142,6 +142,9 @@
  endif
  
  ifeq ($(OSNAME), FreeBSD)
@@ -19,7 +10,7 @@
  MD5SUM = md5 -r
  endif
  
-@@ -753,15 +756,6 @@
+@@ -856,15 +859,6 @@
  LIBSUFFIX = a
  endif
  
@@ -35,7 +26,7 @@
  ifndef SMP
  LIBNAME		= $(LIBPREFIX)$(REVISION).$(LIBSUFFIX)
  LIBNAME_P	= $(LIBPREFIX)$(REVISION)_p.$(LIBSUFFIX)
-@@ -769,7 +763,6 @@
+@@ -872,7 +866,6 @@
  LIBNAME		= $(LIBPREFIX)p$(REVISION).$(LIBSUFFIX)
  LIBNAME_P	= $(LIBPREFIX)p$(REVISION)_p.$(LIBSUFFIX)
  endif
@@ -43,7 +34,7 @@
  
  
  LIBDLLNAME   = $(LIBPREFIX).dll
-@@ -783,7 +776,7 @@
+@@ -886,7 +879,7 @@
  LIBS_P		= $(TOPDIR)/$(LIBNAME_P)
  
  export OSNAME

Modified: head/math/openblas/files/patch-exports+gensymbol
==============================================================================
--- head/math/openblas/files/patch-exports+gensymbol	Tue Jul 30 13:50:28 2013	(r323968)
+++ head/math/openblas/files/patch-exports+gensymbol	Tue Jul 30 14:33:59 2013	(r323969)
@@ -1,15 +0,0 @@
---- exports/gensymbol.orig	2012-11-27 08:24:53.000000000 +0900
-+++ exports/gensymbol	2012-11-28 01:19:10.000000000 +0900
-@@ -2666,11 +2666,7 @@
- 		#LAPACKE_zlagsy_work,
- 		);
- 
--if ($ARGV[5] == 1) {
--	#NO_LAPACK=1
--	@underscore_objs = (@blasobjs, @misc_underscore_objs);
--} elsif (-d "../lapack-3.1.1" || -d "../lapack-3.4.0" || -d "../lapack-3.4.1" ||
--         -d "../lapack-3.4.2") {
-+if (-d "../lapack-%%LAPACKVER%%") {
-     @underscore_objs = (@blasobjs, @lapackobjs, @lapackobjs2, @misc_underscore_objs);
- } else {
-     @underscore_objs = (@blasobjs, @lapackobjs, @misc_underscore_objs);
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"